<?php
defined('_JEXEC') or die('Restricted access');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<head>
<jdoc:include type="head" />
<title><?php echo $mainframe->getCfg('sitename');?></title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<link rel="stylesheet" href="templates/<?php echo $this->template ?>/css/template.css" type="text/css" />
<link rel="stylesheet" href="templates/<?php echo $this->template ?>/css/<?php echo $this->params->get('colorVariation'); ?>.css" type="text/css" />
<link rel="stylesheet" href="templates/<?php echo $this->template ?>/css/<?php echo $this->params->get('backgroundVariation'); ?>_bg.css" type="text/css" />
</head>

<body id="page_bg" class="color_<?php echo $this->params->get('colorVariation'); ?> bg_<?php echo $this->params->get('backgroundVariation'); ?> width_<?php echo $this->params->get('widthStyle'); ?>">

	<!--header begins-->
	<div class="wrapper">
		<div id="header">
			<div id="logobar">
				<a href="index.php" class="fleft" id="logo"><img src="templates/<?php echo $this->template ?>/images/logo.png" alt="" /></a>
				<div class="fright">
					<jdoc:include type="modules" name="user4" />
				</div>
			</div>
			<div class="fclear" id="banner">
				<jdoc:include type="modules" name="user5" />
			</div>
			<!--menu begins-->
			<div id="menuleft">
				<div id="menuright">
					<div id="mmenu"><jdoc:include type="modules" name="mmenu" /></div>
				</div>
			</div>
			<!--menu ends-->
		</div>
	</div>
	<!--header ends-->


	<!--boxes begins-->
	<div class="wrapper">
	<?php if ($this->countModules('user1') || $this->countModules('user2') || $this->countModules('user3')) { ?>
		<?php
		if ($this->countModules('user1') and $this->countModules('user2')  and $this->countModules('user3')) {
			$width1 = "33%";
		 } else if (($this->countModules('user1') and $this->countModules('user2')) or ($this->countModules('user1') and $this->countModules('user3')) or ($this->countModules('user2') and $this->countModules('user3'))) {
			 $width1 = "50%";
		 } else {
			 $width1 = "100%";
		 }
		 ?>
		<div style="float:left; width: <?php echo $width1; ?>"><jdoc:include type="modules" name="user1" style="rounded" /></div>
		<div style="float:left; width: <?php echo $width1; ?>"><jdoc:include type="modules" name="user2" style="rounded" /></div>
		<div style="float:left; width: <?php echo $width1; ?>"><jdoc:include type="modules" name="user3" style="rounded" /></div>
	<?php } ?>
	</div>
	<!--boxes ends-->


	<!--breadcrumbs and search begins-->
		<div id="bcrumb" class="fleft">
	<div class="wrapper" id="bcnsearch">
			<jdoc:include type="module" name="breadcrumbs" />
		</div>	
	</div>
	<!--breadcrumbs and search ends-->

	<div align="center"><jdoc:include type="modules" name="banner" /></div>

	<!--content begins-->
	<div class="fleft" id="contentbgleft">
		<div class="fleft" id="contentbgright">
			<div class="fclear wrapper">
				<table width="100%" cellspacing="0" cellpadding="0" border="0">
					<tr>
						<td width="5" height="5" class="boxlt"><img src="templates/<?php echo $this->template ?>/images/spacer.gif" alt="" /></td>
						<td class="box"><img src="templates/<?php echo $this->template ?>/images/spacer.gif" alt="" /></td>
						<td class="boxrt"><img src="templates/<?php echo $this->template ?>/images/spacer.gif" alt="" /></td>
					</tr>
					<tr>
						<td class="box"><img src="templates/<?php echo $this->template ?>/images/spacer.gif" alt="" /></td>
						<td class="boxbg"><table width="100%" cellspacing="0" cellpadding="0" border="0">
							<tr>
								<?php if($this->countModules('left')) { ?>
								<td valign="top">
									<div class="fleft" id="leftcol">
										<jdoc:include type="modules" name="left" style="rounded" />
									</div>
								</td>
								<?php } ?>
								<td valign="top">
									<?php if($this->countModules('left') and $this->countModules('right') and JRequest::getCmd('layout') != 'form') : ?>
									<div class="fleft" id="maincol">
									<?php elseif($this->countModules('left') and !$this->countModules('right') and JRequest::getCmd('layout') != 'form') : ?>
									<div class="fleft" id="maincolumn_left">
									<?php elseif(!$this->countModules('left') and $this->countModules('right') and JRequest::getCmd('layout') != 'form') : ?>
									<div id="maincolumn_right">
									<?php else: ?>
									<div id="maincolumn_full">
									<?php endif; ?>
									<div class="nopad">				
									<?php
									if ($this->countModules('user6') and $this->countModules('user7')) {
										$width2 = "50%";
									 } else {
										 $width2 = "100%";
									 }
									 ?>
									<div style="float:left; width: <?php echo $width2; ?>"><jdoc:include type="modules" name="user6" style="rounded" /></div>
									<div style="float:left; width: <?php echo $width2; ?>"><jdoc:include type="modules" name="user7" style="rounded" /></div>
									<div class="fclear"><jdoc:include type="modules" name="advert1" style="rounded" /></div>
									<jdoc:include type="message" />
									<jdoc:include type="component" />
									<div class="fclear"><jdoc:include type="modules" name="advert2" style="rounded" /></div>
									<?php
									if ($this->countModules('user8') and $this->countModules('user9')) {
										$width3 = "50%";
									 } else {
										 $width3 = "100%";
									 }
									 ?>
									<div style="float:left; width: <?php echo $width3; ?>"><jdoc:include type="modules" name="user8" style="rounded" /></div>
									<div style="float:left; width: <?php echo $width3; ?>"><jdoc:include type="modules" name="user9" style="rounded" /></div>
										</div>
									</div>
								</td>
								<?php if($this->countModules('right')) { ?>
								<td valign="top" width="218">
									<div class="fright" id="rightcol">
										<jdoc:include type="modules" name="right" style="rounded" />
									</div>
								</td>
								<?php } ?>
							</tr>
						</table></td>
						<td class="box"><img src="templates/<?php echo $this->template ?>/images/spacer.gif" alt="" /></td>
					</tr>
					<tr>
						<td class="boxlb"><img src="templates/<?php echo $this->template ?>/images/spacer.gif" alt="" /></td>
						<td class="box"><img src="templates/<?php echo $this->template ?>/images/spacer.gif" alt="" /></td>
						<td width="5" height="5" class="boxrb"><img src="templates/<?php echo $this->template ?>/images/spacer.gif" alt="" /></td>
					</tr>
				</table>
			</div>
			<div class="wrapper" style="padding-top: 10px;">
			<?php if ($this->countModules('user10') || $this->countModules('user11') || $this->countModules('user12')) { ?>
				<?php
				if ($this->countModules('user10') and $this->countModules('user11')  and $this->countModules('user12')) {
					$width1 = "33%";
				 } else if (($this->countModules('user10') and $this->countModules('user11')) or ($this->countModules('user10') and $this->countModules('user12')) or ($this->countModules('user11') and $this->countModules('user12'))) {
					 $width1 = "50%";
				 } else {
					 $width1 = "100%";
				 }
				 ?>
				<div style="float:left; background-color: #ffffff; width: <?php echo $width1; ?>"><jdoc:include type="modules" name="user10" style="rounded" /></div>
				<div style="float:left; background-color: #ffffff; width: <?php echo $width1; ?>"><jdoc:include type="modules" name="user11" style="rounded" /></div>
				<div style="float:left; background-color: #ffffff; width: <?php echo $width1; ?>"><jdoc:include type="modules" name="user12" style="rounded" /></div>
			<?php } ?>
			</div>
		</div>
	</div>
	<!--content ends-->

	

	<!--footer begins-->
	<div id="footer">
		<div class="wrapper">
			<?php
			$templancrand = rand(0,1);
			$templanc = array("Joomla Templates","Free Joomla Templates");
			$templanc = $templanc[$templancrand];
			$linkrand = rand(0,10);
			$anc = array(
				array("URL" => "", "ANCHOR" => "Web Hosting"),
				array("URL" => "", "ANCHOR" => "Reseller Hosting"),
				array("URL" => "", "ANCHOR" => "VPS Hosting"),
				array("URL" => "", "ANCHOR" => "Joomla Hosting"),
				array("URL" => "web_hosting.html", "ANCHOR" => "Web Hosting"),
				array("URL" => "reseller_hosting.html", "ANCHOR" => "Reseller Hosting"),
				array("URL" => "vps_hosting.html", "ANCHOR" => "VPS Hosting"),
				array("URL" => "vps_hosting.html", "ANCHOR" => "VPS Servers"),
				array("URL" => "dedicated_servers.html", "ANCHOR" => "Dedicated Servers"),
				array("URL" => "dedicated_servers.html", "ANCHOR" => "Managed Dedicated Servers"),
				array("URL" => "joomla_hosting.html", "ANCHOR" => "Joomla Hosting")
				);
			$url = $anc[$linkrand]["URL"];
			$anchor = $anc[$linkrand]["ANCHOR"];
			?>
			<div class="fleft"><jdoc:include type="modules" name="bottommenu" /></div>
			<p class="fright"><a href="http://www.buyhttp.com/joomla_templates.html" target="_blank"><?php echo $templanc; ?></a> by BuyHTTP <a href="http://www.buyhttp.com/<?php echo $url; ?>" target="_blank"><?php echo $anchor; ?></a></p>
		</div>
	</div>
	<!--footer ends-->
	
	<div class="wrapper"><jdoc:include type="modules" name="footer" style="rounded" /></div>
</body>
</html>